ru.bitel.bgbilling.plugins.dispatch.common.bean

## Class Dispatch

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.plugins.dispatch.common.bean.Dispatch

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class Dispatch
      extends IdTitle

  Сущность рассылки
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dispatch()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.base.DispatchCondition>` | `getConditions()` Возвращает список условий отправки
    `int` | `getContactTypeId()` Возвращает код типа контакта для рассылки
    `java.util.Date` | `getCreateDispatchDate()` Получение даты создания рассылки.
    `java.util.Date` | `getLastModifyDispatchDate()` Получение даты последнего изменения рассылки.
    `ScheduleTime` | `getRepeatTime()` Возвращает расписание отправки
    `SenderType` | `getSenderType()` Возвращает тип отправителя для данной рассылки
    `int` | `getUserId()` Возвращает код пользователя, который создал/изменил рассылку.
    `boolean` | `isActive()` Активна ли рассылка
    `boolean` | `isDoNotMarkSended()` Требуется ли помечать сообщение отправленным после отправки.
    `boolean` | `isOnlyOneContact()`
    `boolean` | `isPersonal()` Является ли рассылка персональной.
    `boolean` | `isWoContactType()` Получение значения флага, обозначающего отсутствие необходимости выбирать тип контакта
    `void` | `setActive(boolean active)` Устанавливает, активна ли рассылка
    `void` | `setConditions(java.util.List<ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.base.DispatchCondition> conditions)` Устанавливает список условий отправки
    `void` | `setContactTypeId(int contactTypeId)` Устанавливает тип контакта
    `void` | `setCreateDispatchDate(java.util.Date createDispatchDate)` Установка даты создания рассылки.
    `void` | `setDoNotMarkSended(boolean doNotMarkSended)` Установка флага того, что необходимо отметить сообщение отправленным после отправки
    `void` | `setLastModifyDispatchDate(java.util.Date lastModifyDispatchDate)` Установка даты последнего изменения рассылки.
    `void` | `setOnlyOneContact(boolean onlyOneContact)`
    `void` | `setPersonal(boolean personal)` Устанавливает, является ли персональной рассылка.
    `void` | `setRepeatTime(ScheduleTime repeatTime)` Устанавливает расписание отправки
    `void` | `setSenderType(SenderType sender)` Устанавливает тип отправителя
    `void` | `setUserId(int userId)` Установка кода пользователя, создавшего/изменившего рассылку.
    `void` | `setWoContactType(boolean woContactType)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### Dispatch

          public Dispatch()

  - ### Method Detail

    - #### getSenderType

          public SenderType getSenderType()

      Возвращает тип отправителя для данной рассылки
      Returns:

    - #### setSenderType

          public void setSenderType(SenderType sender)

      Устанавливает тип отправителя
      Parameters:
        `sender` -

    - #### isActive

          public boolean isActive()

      Активна ли рассылка
      Returns:

    - #### setActive

          public void setActive(boolean active)

      Устанавливает, активна ли рассылка
      Parameters:
        `active` -

    - #### isPersonal

          public boolean isPersonal()

      Является ли рассылка персональной. Если true, то время рассылки и параметры настраиваются для каждого договора отдельно.
      Returns:

    - #### setPersonal

          public void setPersonal(boolean personal)

      Устанавливает, является ли персональной рассылка.
      Parameters:
        `personal` -

    - #### isDoNotMarkSended

          public boolean isDoNotMarkSended()

      Требуется ли помечать сообщение отправленным после отправки.
      Returns:

    - #### setDoNotMarkSended

          public void setDoNotMarkSended(boolean doNotMarkSended)

      Установка флага того, что необходимо отметить сообщение отправленным после отправки
      Parameters:
        `doNotMarkSended` - если true - сообщение не будет отмечено отправленным после отправки, false - в противном случае.

    - #### getRepeatTime

          public ScheduleTime getRepeatTime()

      Возвращает расписание отправки
      Returns:
        null - если рассылка непериодическая

    - #### setRepeatTime

          public void setRepeatTime(ScheduleTime repeatTime)

      Устанавливает расписание отправки
      Parameters:
        `repeatTime` - null - для непериодической рассылки

    - #### setConditions

          public void setConditions(java.util.List<ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.base.DispatchCondition> conditions)

      Устанавливает список условий отправки
      Parameters:
        `conditions` -

    - #### getConditions

          public java.util.List<ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.base.DispatchCondition> getConditions()

      Возвращает список условий отправки
      Returns:

    - #### setContactTypeId

          public void setContactTypeId(int contactTypeId)

      Устанавливает тип контакта
      Parameters:
        `contactTypeId` -

    - #### getContactTypeId

          public int getContactTypeId()

      Возвращает код типа контакта для рассылки
      Returns:

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `IdTitle`

    - #### isOnlyOneContact

          public boolean isOnlyOneContact()

    - #### setOnlyOneContact

          public void setOnlyOneContact(boolean onlyOneContact)

    - #### getUserId

          public int getUserId()

      Возвращает код пользователя, который создал/изменил рассылку.
      Returns:
        код пользователя.
      See Also:
        `#setUserId(int)}`

    - #### setUserId

          public void setUserId(int userId)

      Установка кода пользователя, создавшего/изменившего рассылку.
      Parameters:
        `userId` - код пользователя.
      See Also:
        `#getUserId()}`

    - #### getCreateDispatchDate

          public java.util.Date getCreateDispatchDate()

      Получение даты создания рассылки. Данная дата единожды устанавливается в момент создания рассылки в БД и потом не меняется.
      Returns:
        дата создания рассылки.
      See Also:
        `#setCreateDispatchDate(Date)}`

    - #### setCreateDispatchDate

          public void setCreateDispatchDate(java.util.Date createDispatchDate)

      Установка даты создания рассылки.
      Parameters:
        `createDispatchDate` -
      See Also:
        `#getCreateDispatchDate()}`

    - #### getLastModifyDispatchDate

          public java.util.Date getLastModifyDispatchDate()

      Получение даты последнего изменения рассылки. Данное поле изменяется всякий раз, когда пользователь нажимает кнопку ОК в редакторе рассылки.
      Returns:
        дата последней модификации рассылки.
      See Also:
        `#setLastModifyDispatchDate(Date))}`

    - #### setLastModifyDispatchDate

          public void setLastModifyDispatchDate(java.util.Date lastModifyDispatchDate)

      Установка даты последнего изменения рассылки. Данное поле изменяется всякий раз, когда пользователь нажимает кнопку ОК в редакторе рассылки.
      Parameters:
        `lastModifyDispatchDate` - дата последней модификации рассылки.
      See Also:
        `#getLastModifyDispatchDate())}`

    - #### isWoContactType

          public boolean isWoContactType()

      Получение значения флага, обозначающего отсутствие необходимости выбирать тип контакта
      Returns:

    - #### setWoContactType

          public void setWoContactType(boolean woContactType)